%define upstream_name    Class-Field
%define upstream_version 0.23

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Class Field Accessor Generator
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Class/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Class::Field exports two subroutines, 'field' and 'const'. These functions
are used to declare fields and constants in your class.

Class::Field generates custom code for each accessor that is optimized for
speed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc CONTRIBUTING Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Oct 19 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 789956
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-3.mga5
+ Revision: 747627
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-2.mga5
+ Revision: 683913
- Mageia 5 Mass Rebuild

* Fri Aug 22 2014 sander85 <sander85> 0.230.0-1.mga5
+ Revision: 666477
- update to 0.23

* Sun Aug 17 2014 sander85 <sander85> 0.220.0-1.mga5
+ Revision: 664574
- update to 0.22

* Sat Aug 16 2014 sander85 <sander85> 0.210.0-1.mga5
+ Revision: 664339
- update to 0.21

* Sun Aug 03 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 659398
- update to 0.19

* Fri Aug 01 2014 sander85 <sander85> 0.170.0-1.mga5
+ Revision: 658933
- update to 0.17

* Sun Jul 27 2014 sander85 <sander85> 0.160.0-1.mga5
+ Revision: 657505
- update to 0.16

* Fri Oct 18 2013 umeabot <umeabot> 0.150.0-3.mga4
+ Revision: 510133
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.150.0-2.mga3
+ Revision: 364358
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 0.150.0-1.mga1
+ Revision: 25903
- mageia rebuild
- imported package perl-Class-Field

